View Source

# module selenium-webdriver/executors

Various utilities for working with `webdriver.CommandExecutor` implementations.

## Functions

### createExecutor(url)code »

Creates a command executor that uses WebDriver's JSON wire protocol.

Parameters

url`(string|webdriver.promise.Promise<string>)`

  The server's URL, or a promise that will resolve to that URL.

Returns

`webdriver.CommandExecutor`

## Types

DeferredExecutor

  Wraps a promised `webdriver.CommandExecutor`, ensuring no commands are executed until the wrapped executor has been fully built.